com.dlsc.flexgantt.model.dateline

## Interface IDatelineModelListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AbstractTimelineControlPanel, Dateline, GanttChartStatusBar, LayerContainer, LayerContainerScrollPane, MacDateline, MultiGanttChartSynchController, OverviewPalette, PreviewDialog, PrintGanttChart, SimpleDateline, SimpleGranularityTimelineControlPanel, SpreadsheetLayer, TimeGranularityTimelineControlPanel

      public interface IDatelineModelListener
      extends EventListener

  An event listener that can be attached to instances of `IDatelineModel`. The listener will be informed about such things as time span and time zone changes.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `IDatelineModel.addDatelineModelListener(IDatelineModelListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `datelineModelChanged(DatelineModelEvent evt)` The listener's callback method that gets invoked when the model's time span or time zone changes.
    `void` | `datelineModelWillChange(DatelineModelEvent evt)` The listener's callback method that gets invoked when the model's time span or time zone will change.

- - ### Method Detail

    - #### datelineModelWillChange

          void datelineModelWillChange(DatelineModelEvent evt)
                                throws DatelineModelVetoException

      The listener's callback method that gets invoked when the model's time span or time zone will change.
      Parameters:
        `evt` - the event that occured on the dateline
      Throws:
        `DatelineModelVetoException` - if the listener does not want the change to happen
      Since:
        1.0

    - #### datelineModelChanged

          void datelineModelChanged(DatelineModelEvent evt)

      The listener's callback method that gets invoked when the model's time span or time zone changes.
      Parameters:
        `evt` - the event that occured on the dateline
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.